import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import dataV from "@jiaminghi/data-view";
import Vant from 'vant';
import 'vant/lib/index.css';

Vue.use(Vant);
Vue.use(dataV);

// 按需引入vue-awesome图标
// import "ant-design-vue/dist/antd.css";
import Icon from "vue-awesome/components/Icon";
import "vue-awesome/icons/chart-bar.js";
import "vue-awesome/icons/chart-area.js";
import "vue-awesome/icons/chart-pie.js";
import "vue-awesome/icons/chart-line.js";
import "vue-awesome/icons/align-left.js";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";

// 适配flex
import "@/common/flexible.js";

// 引入全局css
import "./assets/scss/style.scss";

//引入echart
import echarts from "echarts";
Vue.use(ElementUI);
Vue.use(Icon);
Vue.prototype.$echarts = echarts;
Vue.prototype.$EventBus = new Vue()
Vue.config.productionTip = false;
store.dispatch('SILENCE_LOGIN',{})
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");

import axios from "axios";
//把方法放到vue的原型上，这样就可以全局使用了
Vue.prototype.$http = axios.create({
  //设置20秒超时时间
  timeout: 20000,
  baseURL: "http://192.168.126.113:8088", //这里写后端地址
});
